Bug 139615 - Rendering Problem when Paging-up and Smooth scrolling Enabled
Rendering Problem when Paging-up and Smooth scrolling Enabled
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 17:21 EST by Richard Plana
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 11:47:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Plana 2004-11-16 17:21:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When smooth-scrolling is enabled, pages don't render correctly when
one pages up in both firefox and thunderbird. What happens is remnants
of the page moving down remain on the screen while the new page
doesn't scroll down to follow the previous page.


Version-Release number of selected component (if applicable):
firefox-1.0-2.fc3

How reproducible:
Always

Steps to Reproduce:
1.Start up firefox
2.Pull up Edit|Preferences|Advanced tab and enable smooth scrolling
3.Page down in a multipage document then page up
    

Additional info:

I am using an NVidia GeForce4-based card so that might be a factor.
xorg is configured as default save for the NVidia configs (resolution
and using TwinView).

Workaround is to switch off smooth-scrolling, but smooth-scrolling is
a great feature to have in multipage docs for easier visual following.
Comment 1 Richard Plana 2004-11-16 17:24:53 EST
Oh ... a small change. I just found out it wasn't "Always
reproducible". In fact, I can't seem to produce it right now. If I
figure out what function caused it, I'll update the bugreport.
Comment 2 Richard Plana 2004-11-16 18:20:37 EST
Okay ... here's an update (and this one's reproducible always so far).

It seems it's not limited to smooth-scrolling at all. Pages don't
refresh properly when paging-up regardless of setting of
smooth-scrolling. It starts to happen when I switch workspaces or I
switch the Firefox/Thunderbird window between Maximized and Resizeable
state. It goes back to being "fixed" when focus leaves the window (but
breaks down again when I do any of the actions I mentioned above).
Comment 3 Sitsofe Wheeler 2004-11-20 09:54:15 EST
If you are using the nvidia binary drivers can you switch to open
source nv drivers and see whether this still happens?
Comment 4 Warren Togami 2005-09-30 14:02:48 EDT
Problem persists in FC5 with firefox-1.5-0.5.0.beta1.  Font renderer seems
unrelated as both pango and Xft seem affected.  Happens on both Open Source
radeon and nv drivers.

http://www.linuxtag.org/2005/de/home.html
This is an excellent page to reproduce this issue.
Comment 5 Matěj Cepl 2007-02-09 11:47:02 EST
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.